Bug 491558 - Error while running /etc/init.d/vd-server start
Error while running /etc/init.d/vd-server start
Status: VERIFIED
Product: penrose
Classification: Retired
Component: Installation (Show other bugs)
2.0
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Jim Whitehurst
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2009-03-22 19:24 EDT by Noam
Modified: 2018-02-07 15:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noam 2009-03-22 19:24:09 EDT
Running penrose server as daemon was failed.

the following error is printed:
Starting vd-server: runuser: user /opt/vd-server-2.0/bin/vd-server.sh does not exist
[FAILED]

The reason is: VD_USER has no value.
Comment 1 Endi Sukma Dewata 2009-03-26 14:40:19 EDT
There's a typo in the init scripts.

The fix has been committed into the master branch:

http://github.com/identity/penrose-server/commit/bf6bfe67de00d6b212a77ed5562c1403470c8567
Comment 2 Sankar Ramalingam 2009-04-02 08:02:00 EDT
Fix has been verified with 03/29 build. No error observed while starting the vd server.

Note You need to log in before you can comment on or make changes to this bug.